# Snipt Glitch Edition

In Which, Somehow, A Centralized, Highly Connected Service Is Turned Into A
Decentralized And Open One

## TODO

In no particular order.

- Theming. Probably via config variables.
- Domain name. Every instance of `snipt.net` should be replaced by a variable,
  and `snipt.s3.amazonaws` media should also be made into a separate variable.
  Don't forget the git repo and documentation too!
- De-minify everything and add a Python-based minifier.
- Make deploys easier by automating the database creation. Probably make a
  Python script which does this along with the resource and minifying stuff.
- Turn remaining environment vars into config vars.
- Some tiny issues with the decoupling of systems.
- Code re-organization.
- Locally stored avatars.
- Add SystemD and Nginx example configs.
- Remove "Pro" field for users

## Environment Variables

- `DISABLE_SIGNUP` if set to `true` will disable account registration.

This list is *incomplete*. You can help b%Yｷ%&%%%b%$ｷ"H%&%%%Y%&%%%%%%%?%&%%%%%%

## Dependencies

Make sure you have PostgreSQL installed and running beforehand. (If you don't
know how to run it, you probably want the `systemctl` service.)

## Installation

The following text should be replaced:

- `CURRENT_USER` with the current user.
- `EDITOR` with your editor of choice.
- `PORT` with the port to run the service on. This will default to 8000.

Instructions:

- Clone the repo.
- `cd snipt`
- `python3 -m venv envs/snipt`
- `bash`
- `source envs/snipt/bin/activate`
- `pip install -r requirements.txt`
  (this will emit some errors, don't worry, they're fine)
- `createuser CURRENT_USER`
- `createdb snipt --owner=CURRENT_USER`
- `cp settings_local.py-template settings_local.py`
- `EDITOR settings_local.py`
- `./resources.sh`
- `python manage.py runserver 0.0.0.0:PORT`

ENCODING U ;;;;;;;;;;;;;;ｬｦ%娃ﾂｬｸｦ｣ｩｬｸｦ､ｬｧｬｷ%Y｡､ｬｸｦ｣%bｬｶ｡､"Hｬｸｦ､%Yｬｸｦ､ｬｧｬｦ;,

] REPEAT
